Skip to main content
GET
List all api logs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

from_date
string<date>

Filter api logs from a specific date.

Example:

"2022-08-09"

to_date
string<date>

Filter api logs up to a specific date.

Example:

"2022-08-09"

http_methods[]
enum<string>[]

Filter results by HTTP methods

Available options:
post,
put,
delete
Example:
http_statuses[]
(enum<string> | integer)[]

Filter results by HTTP status or by generic request status

Available options:
succeeded,
failed
Example:
api_version
string

Filter results by API version

Example:

"v1"

request_paths
string

Filter results by the path of the request

Example:

"/billable_metrics/"

Response

List of api logs

api_logs
object[]
required
meta
object
required